<?php

namespace Mush\Game\ConfigData;

use Mush\Communications\Enum\RebelBaseEnum;
use Mush\Communications\Enum\XylophEnum;
use Mush\Disease\Enum\DiseaseCauseEnum;
use Mush\Equipment\Enum\EquipmentEnum;
use Mush\Equipment\Enum\ItemEnum;
use Mush\Exploration\Enum\PlanetSectorEnum;
use Mush\Game\Enum\TitleEnum;
use Mush\Hunter\Enum\HunterEnum;
use Mush\Project\Enum\ProjectName;
use Mush\Skill\Enum\SkillEnum;
use Mush\Status\Enum\DaedalusStatusEnum;
use Mush\Status\Enum\EquipmentStatusEnum;
use Mush\Status\Enum\HunterStatusEnum;
use Mush\Status\Enum\PlaceStatusEnum;
use Mush\Status\Enum\PlayerStatusEnum;
use Mush\Status\Enum\SkillPointsEnum;

/** @codeCoverageIgnore */
class GameConfigData
{
    public static array $dataArray = [
        [
            'daedalusConfig' => 'default',
            'difficultyConfig' => 'default',
            'name' => 'default',
            'characterConfigs' => [
                'chun',
                'chao',
                'eleesha',
                'finola',
                'frieda',
                'gioele',
                'hua',
                'ian',
                'janice',
                'jin_su',
                'kuan_ti',
                'paola',
                'raluca',
                'roland',
                'stephen',
                'terrence',
            ],
            'consumableDiseaseConfigs' => [
                'creepnut_default',
                'meztine_default',
                'guntiflop_default',
                'ploshmina_default',
                'precati_default',
                'bottine_default',
                'fragilane_default',
                'anemole_default',
                'peniraft_default',
                'kubinus_default',
                'caleboot_default',
                'filandra_default',
                'jumpkin_default',
                'alien_steak_default',
                'supervitamin_bar_default',
                'bacta_default',
                'betapropyl_default',
                'eufurylate_default',
                'newke_default',
                'phuxx_default',
                'pinq_default',
                'pymp_default',
                'rosebud_default',
                'soma_default',
                'spyce_default',
                'twinoid_default',
                'xenox_default',
            ],
            'diseaseCauseConfigs' => [
                'alien_fruit_default',
                'perished_food_default',
                'cat_allergy_default',
                'cycle_default',
                'cycle_low_morale_default',
                'make_sick_default',
                'fake_disease_default',
                'surgery_default',
                'infection_default',
                'sex_default',
                'trauma_default',
                'contact_default',
                'critical_fail_knife_default',
                'critical_success_knife_default',
                'critical_fail_blaster_default',
                'critical_success_blaster_default',
                'exploration_default',
                'alien_fight_default',
                DiseaseCauseEnum::RANDOM_INJURY . '_default',
            ],
            'diseaseConfigs' => [
                'food_poisoning_default',
                'vitamin_deficiency_default',
                'tapeworm_default',
                'syphilis_default',
                'space_rabies_default',
                'smallpox_default',
                'slight_nausea_default',
                'skin_inflammation_default',
                'sinus_storm_default',
                'sepsis_default',
                'rubella_default',
                'rejuvenation_default',
                'quincks_oedema_default',
                'mush_allergy_default',
                'migraine_default',
                'junkbumpkinitis_default',
                'gastroenteritis_default',
                'fungic_infection_default',
                'flu_default',
                'extreme_tinnitus_default',
                'cold_default',
                'cat_allergy_default',
                'black_bite_default',
                'acid_reflux_default',
                'broken_finger_default',
                'broken_foot_default',
                'broken_leg_default',
                'broken_ribs_default',
                'bruised_shoulder_default',
                'burns_50_of_body_default',
                'burns_90_of_body_default',
                'burnt_arms_default',
                'burnt_hand_default',
                'burst_nose_default',
                'busted_arm_joint_default',
                'busted_shoulder_default',
                'critical_haemorrhage_default',
                'haemorrhage_default',
                'minor_haemorrhage_default',
                'damaged_ears_default',
                'destroyed_ears_default',
                'dysfunctional_liver_default',
                'head_trauma_default',
                'implanted_bullet_default',
                'inner_ear_damaged_default',
                'mashed_foot_default',
                'mashed_hand_default',
                'missing_finger_default',
                'open_air_brain_default',
                'punctured_lung_default',
                'mashed_arms_default',
                'mashed_legs_default',
                'torn_tongue_default',
                'broken_shoulder_default',
                'agoraphobia_default',
                'ailurophobia_default',
                'chronic_migraine_default',
                'chronic_vertigo_default',
                'coprolalia_default',
                'crabism_default',
                'depression_default',
                'paranoia_default',
                'psychotic_episodes_default',
                'spleen_default',
                'vertigo_default',
                'weapon_phobia_default',
            ],
            'equipmentConfigs' => [
                'quadrimetric_compass_default',
                'rope_default',
                'drill_default',
                'babel_module_default',
                'echolocator_default',
                'thermosensor_default',
                'white_flag_default',
                'apprentron_astrophysicist_default',
                'apprentron_biologist_default',
                'apprentron_botanist_default',
                'apprentron_diplomat_default',
                'apprentron_firefighter_default',
                'apprentron_chef_default',
                'apprentron_it_expert_default',
                'apprentron_logistics_expert_default',
                'apprentron_medic_default',
                'apprentron_pilot_default',
                'apprentron_radio_expert_default',
                'apprentron_robotics_expert_default',
                'apprentron_shooter_default',
                'apprentron_shrink_default',
                'apprentron_sprinter_default',
                'apprentron_technician_default',
                'document_default',
                'mush_research_review_default',
                'commanders_manual_default',
                'post_it_default',
                'bacta_default',
                'betapropyl_default',
                'eufurylate_default',
                'newke_default',
                'phuxx_default',
                'pinq_default',
                'pymp_default',
                'rosebud_default',
                'soma_default',
                'spyce_default',
                'twinoid_default',
                'xenox_default',
                'banana_default',
                'banana_tree_default',
                'creepnut_default',
                'creepist_default',
                'meztine_default',
                'cactax_default',
                'guntiflop_default',
                'bifflon_default',
                'ploshmina_default',
                'pulminagro_default',
                'precati_default',
                'precatus_default',
                'bottine_default',
                'buttalien_default',
                'fragilane_default',
                'platacia_default',
                'anemole_default',
                'tubiliscus_default',
                'peniraft_default',
                'graapshoot_default',
                'kubinus_default',
                'fiboniccus_default',
                'caleboot_default',
                'mycopia_default',
                'filandra_default',
                'asperagunk_default',
                'jumpkin_default',
                'bumpjumpkin_default',
                'standard_ration_default',
                'cooked_ration_default',
                'coffee_default',
                'anabolic_default',
                'alien_steak_default',
                'space_potato_default',
                'proactive_puffed_rice_default',
                'lombrick_bar_default',
                'supervitamin_bar_default',
                'organic_waste_default',
                'hacker_kit_default',
                'block_of_post_it_default',
                'camera_item_default',
                'extinguisher_default',
                'duct_tape_default',
                'mad_kube_default',
                'microwave_default',
                'superfreezer_default',
                'alien_holographic_tv_default',
                'medikit_default',
                'spore_sucker_default',
                'jar_of_alien_oil_default',
                'bandage_default',
                'retro_fungal_serum_default',
                'space_capsule_default',
                'adjustable_wrench_default',
                'plastenite_armor_default',
                'stainproof_apron_default',
                'protective_gloves_default',
                'soap_default',
                'alien_bottle_opener_default',
                'antigrav_scooter_default',
                'sniper_helmet_default',
                'ncc_lenses_default',
                'rolling_boulder_default',
                'oscilloscope_default',
                'spacesuit_default',
                'super_soaper_default',
                'printed_circuit_jelly_default',
                'invertebrate_shell_default',
                'magellan_liquid_map_default',
                'blaster_default',
                'knife_default',
                'lizaro_jungle_default',
                'grenade_default',
                'old_faithful_default',
                'rocket_launcher_default',
                'natamy_rifle_default',
                'bare_hands_default',
                'icarus_default',
                'door_default',
                'communication_center_default',
                'neron_core_default',
                'auxiliary_core_default',
                'astro_terminal_default',
                'research_laboratory_default',
                'pilgred_default',
                'calculator_default',
                'bios_terminal_default',
                'command_terminal_default',
                'planet_scanner_default',
                'quantum_sensors_planet_scanner_default',
                'jukebox_default',
                'emergency_reactor_default',
                'reactor_lateral_default',
                'reactor_lateral_alpha_default',
                'reactor_lateral_bravo_default',
                'antenna_default',
                'radar_trans_void_antenna_default',
                'gravity_simulator_default',
                'thalasso_default',
                'patrol_ship_alpha_longane_default',
                'patrol_ship_alpha_jujube_default',
                'patrol_ship_alpha_tamarin_default',
                'patrol_ship_bravo_socrate_default',
                'patrol_ship_bravo_epicure_default',
                'patrol_ship_bravo_planton_default',
                'patrol_ship_alpha_2_wallis_default',
                'pasiphae_default',
                'camera_equipment_default',
                'combustion_chamber_default',
                'kitchen_default',
                'snc_kitchen_default',
                'narcotic_distiller_default',
                'shower_default',
                'dynarcade_default',
                'bed_default',
                'sofa_default',
                'coffee_machine_default',
                'cryo_module_default',
                'mycoscan_default',
                'turret_command_default',
                'surgery_plot_default',
                'fuel_tank_default',
                'oxygen_tank_default',
                'itrackie_default',
                'tracker_default',
                'walkie_talkie_default',
                'tabulatrix_default',
                'myco_alarm_default',
                'plastic_scraps_default',
                'metal_scraps_default',
                'old_t_shirt_default',
                'thick_tube_default',
                'mush_sample_default',
                'mush_genome_disk_default',
                'starmap_fragment_default',
                'water_stick_default',
                'hydropot_default',
                'oxygen_capsule_default',
                'fuel_capsule_default',
                'echolocator_blueprint_default',
                'white_flag_blueprint_default',
                'babel_module_blueprint_default',
                'thermosensor_blueprint_default',
                'grenade_blueprint_default',
                'old_faithful_blueprint_default',
                'lizaro_jungle_blueprint_default',
                'rocket_launcher_blueprint_default',
                'extinguisher_blueprint_default',
                'oscilloscope_blueprint_default',
                'sniper_helmet_blueprint_default',
                'swedish_sofa_blueprint_default',
                ItemEnum::SUPPORT_DRONE . '_default',
                EquipmentEnum::HYDROPONIC_INCUBATOR . '_default',
                'jukebox_blueprint_default',
                'support_drone_blueprint_default',
                ItemEnum::SCHRODINGER . '_default',
                ItemEnum::ANNIVERSARY_GIFT . '_default',
                ItemEnum::COFFEE_THERMOS . '_default',
                'apprentron_optimist_default',
                'apprentron_apprentice_default',
                'apprentron_sneak_default',
                'apprentron_politician_default',
                'apprentron_creative_default',
                'apprentron_determined_default',
                'apprentron_ocd_default',
                'apprentron_motivator_default',
                'apprentron_caffeine_junkie_default',
                'apprentron_genius_default',
                'apprentron_opportunist_default',
                'apprentron_rebel_default',
                'apprentron_self_sacrifice_default',
            ],
            'statusConfigs' => [
                'alien_artefact_default',
                'heavy_default',
                'module_access_default',
                'hidden_default',
                'broken_default',
                'unstable_default',
                'hazardous_default',
                'decomposing_default',
                'frozen_default',
                'plant_thirsty_default',
                'plant_dry_default',
                'plant_diseased_default',
                'document_content_default',
                'reinforced_default',
                'antisocial_default',
                'berzerk_default',
                'brainsync_default',
                'burdened_default',
                'demoralized_default',
                'dirty_default',
                'disabled_default',
                'focused_default',
                'full_stomach_default',
                'gagged_default',
                'germaphobe_default',
                'guardian_default',
                'highly_inactive_default',
                'hyperactive_default',
                'immunized_default',
                'inactive_default',
                'lost_default',
                'lying_down_default',
                'multi_teamster_default',
                'outcast_default',
                'pacifist_default',
                'pregnant_default',
                'starving_default',
                'starving_warning_default',
                'stuck_in_the_ship_default',
                'suicidal_default',
                'WATCHED_PUBLIC_BROADCAST_default',
                'attempt_default',
                'electric_charges_antigrav_scooter_default',
                'electric_charges_old_faithful_default',
                'electric_charges_rocket_launcher_default',
                'electric_charges_turret_command_default',
                'electric_charges_microwave_default',
                'electric_charges_coffee_machine_default',
                'electric_charges_narcotic_distiller_default',
                'electric_charges_blaster_default',
                'sink_charge_default',
                'fire_default',
                'plant_young_default',
                'eureka_moment_default',
                'first_time_default',
                'mush_default',
                'contaminated_default',
                'drug_eaten_default',
                'did_the_thing_default',
                'did_boring_speech_default',
                'updating_default',
                'already_washed_in_the_sink_default',
                'talkie_screwed_default',
                HunterStatusEnum::ASTEROID_TRUCE_CYCLES . '_default',
                HunterStatusEnum::TRUCE_CYCLES . '_default',
                PlayerStatusEnum::HAS_REJUVENATED . '_default',
                EquipmentStatusEnum::PATROL_SHIP_ARMOR . '_default',
                EquipmentStatusEnum::PATROL_SHIP_ARMOR . '_pasiphae_default',
                'electric_charges_patrol_ship_default',
                'traveling_default',
                'no_gravity_default',
                'no_gravity_repaired_default',
                'in_orbit_default',
                'exploration_oxygen_default',
                'exploration_fuel_default',
                'following_hunters_default',
                'astronavigation_neron_cpu_priority_default',
                'changed_cpu_priority_default',
                'electric_charges_support_drone_default',
                DaedalusStatusEnum::AUTO_WATERING_KILLED_FIRES . '_default',
                PlaceStatusEnum::MUSH_TRAPPED->value . '_default',
                EquipmentStatusEnum::JUKEBOX_SONG . '_default',
                SkillPointsEnum::CONCEPTOR_POINTS->value,
                SkillPointsEnum::SHOOTER_POINTS->value,
                SkillPointsEnum::TECHNICIAN_POINTS->value,
                SkillPointsEnum::IT_EXPERT_POINTS->value,
                PlayerStatusEnum::HAS_CHITCHATTED . '_default',
                SkillPointsEnum::BOTANIST_POINTS->value,
                SkillPointsEnum::PILGRED_POINTS->value,
                SkillPointsEnum::NURSE_POINTS->value,
                PlayerStatusEnum::HAS_LEARNED_SKILL . '_default',
                PlayerStatusEnum::GENIUS_IDEA . '_default',
                PlayerStatusEnum::HAS_USED_GENIUS . '_default',
                SkillPointsEnum::SPORE_POINTS->value,
                PlaceStatusEnum::CEASEFIRE->value . '_default',
                PlayerStatusEnum::HAS_CEASEFIRED . '_default',
                PlayerStatusEnum::PREVIOUS_ROOM . '_default',
                PlayerStatusEnum::HAS_EXCHANGED_BODY . '_default',
                PlayerStatusEnum::HAS_ISSUED_MISSION . '_default',
                DaedalusStatusEnum::ZE_LIST_HAS_BEEN_PRINTED . '_default',
                SkillPointsEnum::CHEF_POINTS->value,
                PlaceStatusEnum::DELOGGED->value . '_default',
                PlayerStatusEnum::HAS_USED_DELOG . '_default',
                PlayerStatusEnum::HAS_USED_PUTSCH . '_default',
                PlayerStatusEnum::PARIAH . '_default',
                PlayerStatusEnum::SLIME_TRAP . '_default',
                EquipmentStatusEnum::SLIMED . '_default',
                PlayerStatusEnum::HAS_USED_MASS_GGEDON . '_default',
                PlayerStatusEnum::HAS_READ_MAGE_BOOK . '_default',
                PlayerStatusEnum::HAS_USED_OPPORTUNIST_AS_COMMANDER . '_default',
                PlayerStatusEnum::HAS_USED_OPPORTUNIST_AS_NERON_MANAGER . '_default',
                PlayerStatusEnum::HAS_USED_OPPORTUNIST_AS_COM_MANAGER . '_default',
                EquipmentStatusEnum::TURBO_DRONE_UPGRADE . '_default',
                EquipmentStatusEnum::FIREFIGHTER_DRONE_UPGRADE . '_default',
                EquipmentStatusEnum::DRONE_REPAIR_FAILED_ATTEMPTS . '_default',
                EquipmentStatusEnum::DRONE_EXTINGUISH_FAILED_ATTEMPTS . '_default',
                EquipmentStatusEnum::PILOT_DRONE_UPGRADE . '_default',
                EquipmentStatusEnum::DRONE_SHOOT_HUNTER_FAILED_ATTEMPTS . '_default',
                PlayerStatusEnum::CAT_OWNER . '_default',
                PlayerStatusEnum::HAS_PETTED_CAT . '_default',
                EquipmentStatusEnum::CAT_INFECTED . '_default',
                PlayerStatusEnum::ANTIQUE_PERFUME_IMMUNIZED . '_default',
                PlayerStatusEnum::HAS_DAUNTED . '_default',
                PlayerStatusEnum::HAS_GEN_METAL . '_default',
                PlayerStatusEnum::HAS_SABOTAGED_DOOR . '_default',
                PlayerStatusEnum::FITFUL_SLEEP . '_default',
                DaedalusStatusEnum::NERON_DEPRESSION . '_default',
                DaedalusStatusEnum::EDEN_COMPUTED . '_default',
                'electric_charges_coffee_thermos_default',
                PlayerStatusEnum::CONTACTED_SOL_TODAY . '_default',
                DaedalusStatusEnum::LINK_WITH_SOL_ESTABLISHED_ONCE . '_default',
                DaedalusStatusEnum::REBEL_BASE_CONTACT_DURATION . '_default',
                DaedalusStatusEnum::GHOST_SAMPLE . '_default',
                DaedalusStatusEnum::GHOST_CHUN . '_default',
            ],
            'triumphConfigs' => [
                'alien_science',
                'expedition',
                'super_nova',
                'first_starmap',
                'next_starmap',
                'cycle_mush',
                'starting_mush',
                'cycle_mush_late',
                'conversion',
                'infection',
                'humanocide',
                'chun_dead',
                'sol_return_mush',
                'eden_mush',
                'cycle_human',
                'cycle_inactive',
                'new_planet_orbit',
                'sol_contact',
                'small_research',
                'standard_research',
                'brilliant_research',
                'sol_return',
                'sol_mush_intruder',
                'hunter_killed',
                'mushicide',
                'rebel_wolf',
                'nice_surgery',
                'eden_crew_alive',
                'eden_alien_plant',
                'eden_gender',
                'eden',
                'eden_cat',
                'eden_cat_dead',
                'eden_cat_mush',
                'eden_disease',
                'eden_engineers',
                'eden_biologist',
                'eden_mush_intruder',
                'eden_by_pregnant',
                'eden_computed',
                'anathema',
                'pregnancy',
                'all_pregnant',
            ],
            'hunterConfigs' => [
                HunterEnum::ASTEROID . '_default',
                HunterEnum::DICE . '_default',
                HunterEnum::HUNTER . '_default',
                HunterEnum::SPIDER . '_default',
                HunterEnum::TRAX . '_default',
            ],
            'planetSectorConfigs' => [
                PlanetSectorEnum::LANDING . '_default',
                PlanetSectorEnum::FOREST . '_default',
                PlanetSectorEnum::MOUNTAIN . '_default',
                PlanetSectorEnum::SWAMP . '_default',
                PlanetSectorEnum::DESERT . '_default',
                PlanetSectorEnum::OCEAN . '_default',
                PlanetSectorEnum::CAVE . '_default',
                PlanetSectorEnum::RUMINANT . '_default',
                PlanetSectorEnum::PREDATOR . '_default',
                PlanetSectorEnum::INTELLIGENT . '_default',
                PlanetSectorEnum::INSECT . '_default',
                PlanetSectorEnum::MANKAROG . '_default',
                PlanetSectorEnum::HYDROCARBON . '_default',
                PlanetSectorEnum::OXYGEN . '_default',
                PlanetSectorEnum::COLD . '_default',
                PlanetSectorEnum::HOT . '_default',
                PlanetSectorEnum::STRONG_WIND . '_default',
                PlanetSectorEnum::SEISMIC_ACTIVITY . '_default',
                PlanetSectorEnum::VOLCANIC_ACTIVITY . '_default',
                PlanetSectorEnum::RUINS . '_default',
                PlanetSectorEnum::WRECK . '_default',
                PlanetSectorEnum::FRUIT_TREES . '_default',
                PlanetSectorEnum::LOST . '_default',
                PlanetSectorEnum::CRISTAL_FIELD . '_default',
            ],
            'titleConfigs' => [
                TitleEnum::COMMANDER,
                TitleEnum::NERON_MANAGER,
                TitleEnum::COM_MANAGER,
            ],
            'projectConfigs' => [
                ProjectName::AUTO_WATERING,
                ProjectName::AUXILIARY_TERMINAL,
                ProjectName::BRIC_BROC,
                ProjectName::CHIPSET_ACCELERATION,
                ProjectName::DISMANTLING,
                ProjectName::DOOR_SENSOR,
                ProjectName::EQUIPMENT_SENSOR,
                ProjectName::EXTRA_HYDROPONPOTS,
                ProjectName::FIRE_SENSOR,
                ProjectName::HEAT_LAMP,
                ProjectName::PILGRED,
                ProjectName::PLASMA_SHIELD,
                ProjectName::THALASSO,
                ProjectName::TRAIL_REDUCER,
                ProjectName::MAGNETIC_NET,
                ProjectName::ICARUS_ANTIGRAV_PROPELLER,
                ProjectName::FISSION_COFFEE_ROASTER,
                ProjectName::ARMOUR_CORRIDOR,
                ProjectName::CALL_OF_DIRTY,
                ProjectName::EXTRA_DRONE,
                ProjectName::PATROLSHIP_BLASTER_GUN,
                ProjectName::BAY_DOOR_XXL,
                ProjectName::TRASH_LOAD,
                ProjectName::FOOD_RETAILER,
                ProjectName::AUTO_RETURN_ICARUS,
                ProjectName::RADAR_TRANS_VOID,
                ProjectName::NERON_TARGETING_ASSIST,
                ProjectName::WHOS_WHO,
                ProjectName::HYDROPONIC_INCUBATOR,
                ProjectName::ICARUS_LAVATORY,
                ProjectName::ICARUS_LARGER_BAY,
                ProjectName::PATROL_SHIP_LAUNCHER,
                ProjectName::NERON_PROJECT_THREAD,
                ProjectName::TURRET_EXTRA_FIRE_RATE,
                ProjectName::QUANTUM_SENSORS,
                ProjectName::PATROLSHIP_EXTRA_AMMO,
                ProjectName::NOISE_REDUCER,
                ProjectName::APERO_KITCHEN,
                ProjectName::FLOOR_HEATING,
                ProjectName::PARASITE_ELIM,
                ProjectName::OXY_MORE,
                ProjectName::BEAT_BOX,
                ProjectName::ANABOLICS,
                ProjectName::ANTISPORE_GAS,
                ProjectName::CONSTIPASPORE_SERUM,
                ProjectName::CREATE_MYCOSCAN,
                ProjectName::MERIDON_SCRAMBLER,
                ProjectName::MUSH_HUNTER_ZC16H,
                ProjectName::MUSH_LANGUAGE,
                ProjectName::MUSH_RACES,
                ProjectName::MUSH_REPRODUCTIVE_SYSTEM,
                ProjectName::MUSHICIDE_SOAP,
                ProjectName::MUSHOVORE_BACTERIA,
                ProjectName::MYCOALARM,
                ProjectName::NARCOTICS_DISTILLER,
                ProjectName::NATAMY_RIFLE,
                ProjectName::NCC_CONTACT_LENSES,
                ProjectName::PATULINE_SCRAMBLER,
                ProjectName::PERPETUAL_HYDRATION,
                ProjectName::PHEROMODEM,
                ProjectName::RETRO_FUNGAL_SERUM,
                ProjectName::SPORE_SUCKER,
                ProjectName::SUPER_CALCULATOR,
                ProjectName::TESLA_SUP2X,
                ProjectName::ULTRA_HEALING_POMADE,
            ],
            'skillConfigs' => [
                SkillEnum::ANONYMUSH,
                SkillEnum::ANTIQUE_PERFUME,
                SkillEnum::APPRENTICE,
                SkillEnum::ASTROPHYSICIST,
                SkillEnum::BACTEROPHILIAC,
                SkillEnum::BIOLOGIST,
                SkillEnum::BOTANIST,
                SkillEnum::BYPASS,
                SkillEnum::CAFFEINE_JUNKIE,
                SkillEnum::CHEF,
                SkillEnum::COLD_BLOODED,
                SkillEnum::CONCEPTOR,
                SkillEnum::CONFIDENT,
                SkillEnum::CRAZY_EYE,
                SkillEnum::CREATIVE,
                SkillEnum::DEFACER,
                SkillEnum::DETACHED_CREWMEMBER,
                SkillEnum::DETERMINED,
                SkillEnum::DEVOTION,
                SkillEnum::DOORMAN,
                SkillEnum::DIPLOMAT,
                SkillEnum::DISHEARTENING_CONTACT,
                SkillEnum::EXPERT,
                SkillEnum::FERTILE,
                SkillEnum::FIREFIGHTER,
                SkillEnum::FRUGIVORE,
                SkillEnum::FUNGAL_KITCHEN,
                SkillEnum::GENIUS,
                SkillEnum::GREEN_JELLY,
                SkillEnum::GREEN_THUMB,
                SkillEnum::GUNNER,
                SkillEnum::HARD_BOILED,
                SkillEnum::HYGIENIST,
                SkillEnum::INFECTOR,
                SkillEnum::INTIMIDATING,
                SkillEnum::IT_EXPERT,
                SkillEnum::LEADER,
                SkillEnum::LETHARGY,
                SkillEnum::LOGISTICS_EXPERT,
                SkillEnum::MANKIND_ONLY_HOPE,
                SkillEnum::MASSIVE_MUSHIFICATION,
                SkillEnum::MEDIC,
                SkillEnum::METALWORKER,
                SkillEnum::MOTIVATOR,
                SkillEnum::MYCELIUM_SPIRIT,
                SkillEnum::MYCOLOGIST,
                SkillEnum::NERON_DEPRESSION,
                SkillEnum::NERON_ONLY_FRIEND,
                SkillEnum::NIMBLE_FINGERS,
                SkillEnum::NIGHTMARISH,
                SkillEnum::NINJA,
                SkillEnum::NURSE,
                SkillEnum::OBSERVANT,
                SkillEnum::OCD,
                SkillEnum::OPPORTUNIST,
                SkillEnum::OPTIMIST,
                SkillEnum::PANIC,
                SkillEnum::PARANOID,
                SkillEnum::PHAGOCYTE,
                SkillEnum::PHYSICIST,
                SkillEnum::PILOT,
                SkillEnum::POLITICIAN,
                SkillEnum::POLYMATH,
                SkillEnum::POLYVALENT,
                SkillEnum::PRESENTIMENT,
                SkillEnum::PYROMANIAC,
                SkillEnum::RADIO_EXPERT,
                SkillEnum::RADIO_PIRACY,
                SkillEnum::REBEL,
                SkillEnum::ROBOTICS_EXPERT,
                SkillEnum::SABOTEUR,
                SkillEnum::SELF_SACRIFICE,
                SkillEnum::SHOOTER,
                SkillEnum::SHRINK,
                SkillEnum::SLIMETRAP,
                SkillEnum::SNEAK,
                SkillEnum::SOLID,
                SkillEnum::SPLASHPROOF,
                SkillEnum::SPRINTER,
                SkillEnum::STRATEGURU,
                SkillEnum::SURVIVALIST,
                SkillEnum::TECHNICIAN,
                SkillEnum::TORTURER,
                SkillEnum::TRACKER,
                SkillEnum::TRAITOR,
                SkillEnum::TRANSFER,
                SkillEnum::TRAPPER,
                SkillEnum::U_TURN,
                SkillEnum::VICTIMIZER,
                SkillEnum::WRESTLER,
            ],
            'rebelBaseConfigs' => [
                RebelBaseEnum::WOLF,
                RebelBaseEnum::SIRIUS,
                RebelBaseEnum::CENTAURI,
                RebelBaseEnum::KALADAAN,
                RebelBaseEnum::LUYTEN_CETI,
                RebelBaseEnum::CYGNI,
            ],
            'xylophConfigs' => [
                XylophEnum::BLUEPRINTS,
                XylophEnum::COOK,
                XylophEnum::DISK,
                XylophEnum::KIVANC,
                XylophEnum::GHOST_CHUN,
                XylophEnum::GHOST_SAMPLE,
                XylophEnum::LIST,
                XylophEnum::MAGE_BOOKS,
                XylophEnum::MAGNETITE,
                XylophEnum::NOTHING,
                XylophEnum::SNOW,
                XylophEnum::VERSION,
            ],
        ],
    ];
}
